<?php include('casa/setup.casa.php');
$id = DataForms::GET('id');
include('inc_scripts.php');
$title = 'Traspaso de Producto';
echo "<title>".AppName.' - '.$title."</title>";

$sql = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
WHERE prod.ubica_codigo = ubi.ubica_codigo	
AND prod_codigo = '$id';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();					
	$ubica_codigo_prod = $db->dbField('ubica_codigo');
	$ubica_nombre_origen = $db->dbField('ubica_nombre');
	
	$prod_item = $db->dbField('prod_item');
	$prod_codigo = $db->dbField('prod_codigo');
	$prod_nombre = utf8_encode($db->dbField('prod_nombre'));
	$prod_foto = $db->dbField('prod_foto');
		if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
	$prod_piezascaja = $db->dbField('prod_piezascaja');
	$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
	$prod_preciounitario = $db->dbField('prod_preciounitario');
	$prod_preciodocena = $db->dbField('prod_preciodocena');
	$prod_preciocajadocena = $db->dbField('prod_preciocajadocena');
	$prod_unidadesreal = $db->dbField('prod_unidadesreal');
	$prod_fecha = $db->dbField('prod_fecha');
	$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;			
?>
</head>
<body>
	<div class="wrapper">
	<?php include('inc_menu.php');?>

		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title.'; '.$prod_nombre?></div>
								</div>
								<div class="card-body">
									<div class="row">										
										<div class="col-md-6 col-lg-4">
											<div class="form-group form-group-default">
												<label>Ubicación Origen:</label>
												<div class="form-control">														
													<?php echo $ubica_nombre_origen ?>
												</div>
											</div>	
											<div class="form-group form-group-default">
												<label>Ubicación Destino:</label>
												<select id="cmbUbicaciones" class="form-control" style="text-align:left">
															<option value="">Listado de Ubicaciones</option>
<?php
$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones;";
$Ubicaciones = new DB();
$Ubicaciones->dbSQL($sqlUbicaciones);
$html = "";
	while($Ubicaciones->next()){
		$ubica_codigo = $Ubicaciones->dbField('ubica_codigo');
		$ubica_nombre = $Ubicaciones->dbField('ubica_nombre');		
			$html.='<option value="'.$ubica_codigo.'">'.$ubica_nombre.'</option>';																
	}//wend() 

echo utf8_encode($html);
?>															
																														
												</select>
											</div>																							
										</div>
										<div class="col-md-6 col-lg-4">	
											<div class="form-group form-group-default">
												<label>Cantidad Cajas en Almacen:</label>
												<div class="form-control">
													<?php echo number_format($CantidadRealCajas,2) ?>
												</div>
											</div>	
											<div class="form-group form-group-default">
												<label>Cantidad Cajas a Traspasar:</label>
												<input id='txtCantidadCaja' type="number" class="form-control">
												<input id='txtCantidadCajas2' type="hidden" value="<?php echo $prod_cantidadcajas ?>">
											</div>
										</div>
										<div class="col-md-6 col-lg-4">																																										
											<div class="form-group form-group-default">
												<label>Foto</label>
												<center><img src="<?php echo PATH_HOME.'fotos/small_'.$prod_foto ?>" width='250px'></center>
											</div>											
											
										</div>
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'traspasos/'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> GUARDAR TRASPASO </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'traspasos-ins2/'. md5(uniqid()); ?>',{
	 'codigo': '<?php echo $id; ?>',
	 'cmbUbicaciones': '<?php echo $ubica_codigo_prod ?>', 
	 'cmbUbicaciones2': $('#cmbUbicaciones').val(), 	 
	 'txtItem': '<?php echo $prod_item ?>', 
	 'txtProducto': '<?php echo $prod_nombre ?>', 
	 'txtPiezasCaja': '<?php echo $prod_piezascaja ?>', 
	 'txtCantidadCajaOrig': '<?php echo $prod_cantidadcajas ?>', 
	 'txtCantidadCaja': $('#txtCantidadCaja').val(), 
	 'txtPrecioUnitario': '<?php echo $prod_preciounitario ?>', 
	 'txtPrecioDocena': '<?php echo $prod_preciodocena ?>', 
	 'txtPrecioCajaDocena': '<?php echo $prod_preciocajadocena ?>', 
	 'prod_unidadesreal': '<?php echo $prod_unidadesreal ?>', 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});

$('#txtCantidadCaja').keyup(function(){
	let CantCajas = parseInt($(this).val());
	let CantCajas2 = parseInt($('#txtCantidadCajas2').val());
	
	if(CantCajas > 0){			
		if(CantCajas > CantCajas2){
			alert('La cantidad de Cajas a traspasar no puede exceder el total en Almacen!!!');
			$(this).val('');
		}
	}else{
		alert('La cantidad de Cajas a traspasar debe ser mayor a 0 !!!');
		$(this).val('');
	}
});
</script>